# std::bad_weak_ptr::bad_weak_ptr

From cppreference.com
< cpp‎ | memory‎ | bad weak ptr

bad_weak_ptr(); |  |

Constructs new `bad_weak_ptr` object. `what()` returns "bad_weak_ptr" afterwards.

### Parameters

(none)

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/bad_weak_ptr/bad_weak_ptr&oldid=91517"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template